package com.ssj.service.conch.opentest.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2020/05/15
 */
public class Condition1Dto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 年级
     */
    private String grade;

    /**
     * 科目列表
     */
    private List<Subject> subjectList;

    public class Subject implements Serializable {

        private static final long serialVersionUID = 1L;
        /**
         * 科目
         */
        private String subject;

        /**
         * 选项列表
         */
        private List<Version> versionList;

        private List<Type> typeList;

        public class Version implements Serializable {
            private static final long serialVersionUID = 1L;
            /**
             * 版本
             */
            private String version;

            private List<Semester> semesterList;

            public class Semester implements Serializable {
                private static final long serialVersionUID = 1L;
                /**
                 * 学期
                 */
                private String semester;
                private List<Unit> unitList;

                public class Unit implements Serializable {
                    private static final long serialVersionUID = 1L;
                    /**
                     * 单元
                     */
                    private String unit;

                    public String getUnit() {
                        return unit;
                    }

                    public void setUnit(String unit) {
                        this.unit = unit;
                    }
                }

                public String getSemester() {
                    return semester;
                }

                public void setSemester(String semester) {
                    this.semester = semester;
                }

                public List<Unit> getUnitList() {
                    return unitList;
                }

                public void setUnitList(List<Unit> unitList) {
                    this.unitList = unitList;
                }
            }

            public String getVersion() {
                return version;
            }

            public void setVersion(String version) {
                this.version = version;
            }

            public List<Semester> getSemesterList() {
                return semesterList;
            }

            public void setSemesterList(List<Semester> semesterList) {
                this.semesterList = semesterList;
            }
        }

        public class Type implements Serializable {
            private static final long serialVersionUID = 1L;
            /**
             * 类型(1:同步，2专题)
             */
            private String type;

            public String getType() {
                return type;
            }

            public void setType(String type) {
                this.type = type;
            }
        }

        public String getSubject() {
            return subject;
        }

        public void setSubject(String subject) {
            this.subject = subject;
        }

        public List<Version> getVersionList() {
            return versionList;
        }

        public void setVersionList(List<Version> versionList) {
            this.versionList = versionList;
        }

        public List<Type> getTypeList() {
            return typeList;
        }

        public void setTypeList(List<Type> typeList) {
            this.typeList = typeList;
        }
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public List<Subject> getSubjectList() {
        return subjectList;
    }

    public void setSubjectList(List<Subject> subjectList) {
        this.subjectList = subjectList;
    }
}
